Subject: [bug#67618] [PATCH] gnu: harfbuzz: Update to 8.3.0.

From: Timmy Douglas <[email-masked]>
Date: Tue, 05 Dec 2023 21:32:50 -0800

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 04.12.2023 um 10:21 -0500 schrieb Maxim Cournoyer:
>> Hello,
>> 
>> Timmy Douglas <[email-masked]> writes:
>> 
>> > I was trying to install some software and found that it depended on
>> > a newer version of harfbuzz.  I wasn't sure how to verify this
>> > doesn't cause issues with other packages that have this as a
>> > dependency.
>> > Thanks!
>> 
>> You can find dependents with 'guix refresh -l harfbuzz' and then
>> attempt to rebuild them with --keep-going (-k) to see how many of
>> them fails.
>> 
>> I have a set of dirty scripts to help automate these tasks [0].
> Adding to that, harfbuzz is a well known GNOME world rebuild (being a
> dependency of Pango), so I'll try to build pango and hopefully gtk from
> it, but we'll defer this to the gnome-team branch :)

Thanks for the script and info. If I ran the commands correctly, it seems
almost everything rebuilt (I had an issue using the weather command to
remove bad packages):

./pre-inst-env guix build --keep-going $packages_to_build
[snip]
...
successfully built /gnu/store/wb49g7l2mvzzcl0j7z3av97qrl5iyvlb-yubikey-oath-dmenu-0.13.0.drv
guix build: error: build of `/gnu/store/fccggj5fmcr2mbcia8mc2pba7rfbs4dj-zathura-pdf-mupdf-0.4.0.drv', `/gnu/store/s5wc25hwld9cl3hds3qa25y7i2566l59-youtube-viewer-3.8.1.drv' failed

Given this is going to the gnome-team and I don't know the timeline for
that, generally speaking, do people just run ./pre-inst-env guix upgrade
if they want something locally?

Thanks